Bug 1626898 - Deja-Dup can't create backups. [fedora 28 atomic workstation]
Summary: Deja-Dup can't create backups. [fedora 28 atomic workstation]
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: deja-dup
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-10 04:13 UTC by Alex
Modified: 2019-05-28 23:38 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 23:38:27 UTC
Type: Bug


Attachments (Terms of Use)

Description Alex 2018-09-10 04:13:19 UTC
Description of problem:
When running deja-dup in fedora atomic workstation 28 it can't make a backup.

Version-Release number of selected component (if applicable):
37.1

How reproducible:
easily

Steps to Reproduce:
1. Install via rpm-ostree install deja-dup
2. Open deja-dup and select a storage location. (external HDD in this case)
3. Make back-up

Actual results:
Error calling StartServiceByName for 
org.freedesktop.PackageKit: Timeout was reached

Expected results:
Process should proceeded normally and create the back-up. 

Additional info:
N/A

Comment 1 Gwyn Ciesla 2018-09-17 21:09:46 UTC
38.0-2 is the current f28 version, does that work?

Comment 2 Alex 2018-09-23 16:15:32 UTC
(In reply to Gwyn Ciesla from comment #1)
> 38.0-2 is the current f28 version, does that work?

I got the same error with 38.0-2. Although I am testing it again in a VM now.

Comment 3 Alex 2018-09-23 18:58:11 UTC
Using fedora 28 atomic workstation 20180922 I am only getting deja-dup version 37.1

It was a fresh install and the only layered rpm is deja-dup. I am still seeing the error, but maybe there is some dependency holding deja-dup back @ 37.1?

Comment 4 Alex 2018-11-08 18:43:34 UTC
I wanted to report that Silverblue 29 still only installs version 37.1

Comment 5 Alex 2018-12-18 23:04:48 UTC
Fedora Silverblue 29 is now seeing deja-dup 38.1, however the error...

Error calling StartServiceByName for org.freedesktop.PackageKit: GDBus.Error:org.freedesktop.DBus.Error.TimedOut: Failed to activate service 'org.freedesktop.PackageKit': timed out (service_start_timeout=25000ms)

Still occurs..

Comment 6 Jonathan Lebon 2019-02-06 02:41:12 UTC
This was discussed in https://discussion.fedoraproject.org/t/issues-with-packagekit/1027.
Notably: https://discussion.fedoraproject.org/t/issues-with-packagekit/1027/20:

> DejaDup could be modified to just (1) not start PackageKit if all the needed packages are installed, and (2) if there are missing packages, just error out with the list if PackageKit fails to come up

(Though note I might have misread the codebase in my quick perusal! :))

Comment 7 Ben Cotton 2019-05-02 19:56:28 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Ben Cotton 2019-05-28 23:38:27 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.